Bug 466491 - After install, won't boot from i2o based RAID
After install, won't boot from i2o based RAID
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 10:44 EDT by Hibbard T. Smith, JR
Modified: 2009-07-14 10:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to mkinitrd-6.0.52 for this problem (791 bytes, patch)
2008-10-10 10:44 EDT, Hibbard T. Smith, JR
no flags Details | Diff

  None (edit)
Description Hibbard T. Smith, JR 2008-10-10 10:44:39 EDT
Created attachment 320025 [details]
Patch to mkinitrd-6.0.52 for this problem

Description of problem:
This system uses an Adaptec 2010s and a 3ware 9500s.  The 2010 supports a 3 drive RAID 5 which holds the system partitions and the 3ware hosts an 8 drive RAID 50 which is shared by all the computers here via samba. The BIOS order is the 3ware 1st and the adaptec 2nd.

After a successful install of Fedora 9 on an i2o based RAID drive, boot fails because intrd fails to load the i2o_block driver.  I booted in rescue mode from the dvd and rebuilt the initrd to include the i2o_block driver and modified the init to load it after the i2o_core driver.  I also added a dependency line in the modules.dep file.

After booting successfully, I modified mkinitrd to include i2o_block in the initrd it produces.  The fix I made is really kind of a hack.  I think this might better be done elsewhere, but I can't figure out where.  At any rate, I've included a patch here.

This problem has been around for awhile.  The last successful Fedora I ran on this system was Core 5.  I really wanted to update before this, but I've run into similar problems with Core 6 and I kinda gave up.  I finally decided to "bite the bullet" and get F9 to work.  It would be great if this could get fixed "officially".  From searching around, it appears that others are experiencing the same or similar issues.


Version-Release number of selected component (if applicable):
mkinitrd-6.0.52


How reproducible:
Happens every time there's a kernel update, and I have to rebuild the new initrd.


Steps to Reproduce:
1.Install a new kernel (or install system).
2.Attempt to boot.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 22:55:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:33:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.